summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-20 13:09:15 -0600
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-21 09:03:42 +0700
commitbc8028654cca1b925d45d91b401392471c142c06 (patch)
treefdc6fa9a4c415ccf21cf25e585f92a0ab6905351 /system
parent2a4c57489487828417b28e0b1e4727b604527d0f (diff)
downloadslackbuilds-bc8028654cca1b925d45d91b401392471c142c06.tar.gz
slackbuilds-bc8028654cca1b925d45d91b401392471c142c06.tar.xz
system/suhosin: Added (PHP Protection System)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/suhosin/README8
-rw-r--r--system/suhosin/slack-desc19
-rw-r--r--system/suhosin/suhosin.SlackBuild98
-rw-r--r--system/suhosin/suhosin.info10
4 files changed, 135 insertions, 0 deletions
diff --git a/system/suhosin/README b/system/suhosin/README
new file mode 100644
index 0000000000..3b321cc0c3
--- /dev/null
+++ b/system/suhosin/README
@@ -0,0 +1,8 @@
+Suhosin (pronounced 'su-ho-shin') is an advanced protection system
+for PHP installations. It was designed to protect servers and users
+from known and unknown flaws in PHP applications and the PHP core.
+
+You need to modify php.ini manually and add this line:
+extension=suhosin.so
+
+and restart HTTPD
diff --git a/system/suhosin/slack-desc b/system/suhosin/slack-desc
new file mode 100644
index 0000000000..e046098593
--- /dev/null
+++ b/system/suhosin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+suhosin: suhosin (PHP Protection System)
+suhosin:
+suhosin: Suhosin (pronounced 'su-ho-shin') is an advanced protection system
+suhosin: for PHP installations. It was designed to protect servers and users
+suhosin: from known and unknown flaws in PHP applications and the PHP core.
+suhosin:
+suhosin:
+suhosin:
+suhosin: Project URL: https://www.suhosin.org/
+suhosin:
+suhosin:
diff --git a/system/suhosin/suhosin.SlackBuild b/system/suhosin/suhosin.SlackBuild
new file mode 100644
index 0000000000..3307e43edc
--- /dev/null
+++ b/system/suhosin/suhosin.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for suhosin
+
+# Copyright 2015 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=suhosin
+VERSION=${VERSION:-0.9.37.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+phpize
+# locate the php-config installation directory dynamically
+phpconf=$(php-config --prefix)
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-php-config=$phpconf/bin/php-config \
+ --build=$ARCH-slackware-linux
+
+make
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/php/extensions
+cp -a modules/$PRGNAM.so $PKG/usr/lib$LIBDIRSUFFIX/php/extensions
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CREDITS Changelog LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/suhosin/suhosin.info b/system/suhosin/suhosin.info
new file mode 100644
index 0000000000..2d88de94ee
--- /dev/null
+++ b/system/suhosin/suhosin.info
@@ -0,0 +1,10 @@
+PRGNAM="suhosin"
+VERSION="0.9.37.1"
+HOMEPAGE="https://www.suhosin.org"
+DOWNLOAD="https://download.suhosin.org/suhosin-0.9.37.1.tar.gz"
+MD5SUM="8d1c37e62ff712638b5d3847d94bfab3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"